/*
 * Copyright (c) 2010 Ryan Flannery <ryan.flannery@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef VITUNES_H
#define VITUNES_H

#include <sys/time.h>
#include <locale.h>
#include <getopt.h>
#include <signal.h>
#include <unistd.h>
#include <util.h>
#include <pwd.h>

#include "input_handlers.h"
#include "uinterface.h"
#include "medialib.h"
#include "player.h"
#include "debug.h"

/* record keeping  */
extern playlist   *viewing_playlist;
extern playlist   *playing_playlist;

/* some handy enums */
enum { One, Half, Page, Whole };
enum { Number, Percent };
enum { Before, After };
enum { Forwards, Backwards };
enum { Top, Middle, Bottom };
enum { Same, Opposite};
enum { Seconds, Minutes };

/* loads the config file */
void load_config();

#endif
